Create a new customer

Creates a new customer for the organization

Authentication

AuthorizationBearer
API Key authentication using Bearer token

Request

Body
namestringRequired>=1 character
legalNamestring or nullOptional
emailstringOptionalformat: "email"
phonestringOptional
websitestringOptional
externalIdstring or nullOptional
billingAddressobjectOptional
creationStateenumOptional
vatNumberstring or nullOptional
metadatamap from strings to any or nullOptional
defaultCurrencystringOptional

Response

201
idstring

Stable Paid customer display ID. Use this value as the {id} path parameter for customer routes, for example GET /api/v2/customers/cus_abc123/state.

namestring
legalNamestring or null
emailstring
phonestring
websitestring
externalIdstring or null
billingAddressobject
Customer billing address, or null when no address is set.
creationStateenum
statusenum

Customer status: churned when the customer is marked as churned, active otherwise.

churnDatedatetime or null
vatNumberstring or null
metadatamap from strings to any or null
defaultCurrencystringformat: "^[A-Z]{3}$"
ISO 4217 currency code, for example USD, EUR, or GBP.
connectionsobject
Linked external system IDs for this customer.
createdAtdatetime
updatedAtdatetime

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error